package org.dvb.gem.companion.websocket;

import org.dvb.gem.companion.CompanionService;
import org.dvb.gem.websocket.WebSocketServer;

/**
 * Represent {@link CompanionService} based on WebSocket protocol. This kind of
 * {@link CompanionService} shall be used when notification mechanism is needed.
 * {@link WebSocketService} returns in the {@link #getAppToAppInfos()} an
 * address of {@link WebSocketServer} started during a call to {@link #start()}.
 */
public interface WebSocketService extends CompanionService {

}
